

// data to store
var registered = false;
var favouriteRecipes = [];
var myMealPlans = [];
var shoppingList = [];
var completedWeeks = [];
var personalMealPlanners = [];
var userData = [];
var userId;
var firstLoad = true;
var afterFilterLink;
var babyDOBDate;
var systemFakeDOB;
var legacyUser = false;

var userBabyDOB = "";
var userBabyName = "your baby";

var systemCurrentDOB = "";
var systemBabyNameOwnership = "";
var systemCalculatedWeek = 0;

var userPlatform;

var env = "uat"; // live or uat
var productionMode = true;

var recipes = []; 
var filtering = false;
var filteredRecipes = [];
var weekData = [];
var weeksLoaded = false;
var recipesLoaded = false;
var currentRecipe;
var currentWeekSelected;
var currentPlan;
var currentSlot;
var dynamicallyAddedSlot = false;
var viewingGuides = false;

var recipeDict = {};

var weeks = [];

var pagesViewed = 0;
var pagesViewedMax = 8;
var standardPassword = Math.random().toString(36).slice(-8);

var babyDOB = new Date();
var userFirstName = '';

var weekHighlights = new Array("We're unable to show a weaning week yet as babyname is under 6 months. If you've already started or are about to start and babyname is ready, edit their weaning week.", 
                                   "This is it! Time to give babyname a first taste of solid food.",
                                   "First tastes given, now time to combine some more flavours for babyname",
                                   "Kale, courgette and cheesy vegetables on this week's menu for babyname",
                                   "This week it's time to introduce meat into babyname's diet",
                                   "babyname discovers fishy flavours this week",
                                   "Food's getting lumpier on this week's menu for babyname",
                                   "This week babyname discovers stir-fry plus a warm spice ",
                                   "Moving to mash with new textures for babyname",
                                   "Tasty pasta dishes this week for babyname",
                                   "A chance for babyname to try pesto this week",
                                   "Time for a tasty fish stew for babyname",
                                   "This week babyname is able to enjoy spicier tastes and is ready for a first chilli",
                                   "On the menu this week for babyname is yummy lentil cottage pie",
                                   "Soup and homemade fish fingers for babyname this week",
                                   "A chance for babyname to try roasted veggie kebabs ",
                                   "Mini jacket potato with Ratatouille is on this week's menu for babyname",
                                   "Time for babyname to try sweet and sour chicken this week",
                                   "This week babyname has a chance to tuck into lasagne",
                                   "On the menu for babyname this week are sweet potato pancakes",
                                   "Slightly spicy enchiladas will make babyname's tastebuds tingle",
                                   "Delicious Chinese rice with chicken is on babyname's menu this week",
                                   "Time for mango cous cous with a touch of turkey for babyname",
                                   "Noodles and veggie sausages are on babyname's menu this week",
                                   "Moving up to the big table with family-style meals for babyname this week",
                                   "Tasty vegetarian lasagne with lentils - a delicious week for babyname",
                                   "Carrot and courgette muffins to celebrate babyname's final weaning week",
                                   "babyname has reached the end of the weaning programme");

angular.module('smaApp', ['ionic','firebase','angularDfp','smaApp.view-week-planner','smaApp.view-recipes-filter','smaApp.view-weaning-guide','smaApp.view-recipes-results','smaApp.view-recipe-details','smaApp.view-favourites','smaApp.view-shopping-list','smaApp.view-meal-planners','smaApp.view-sma-help', 'smaApp.view-home', 'smaApp.view-faqs', 'smaApp.view-feedback', 'ionic-datepicker', 'smaApp.welcome', 'smaApp.view-form','smaApp.view-blank', 'smaApp.view-baby-profile'])

.run(function($ionicPlatform) {

  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    
    if (window.cordova && window.cordova.plugins.Keyboard) {
      
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false); // date picker fix?
      cordova.plugins.Keyboard.disableScroll(true);

    }

    userPlatform = ionic.Platform.platform();

    // if(productionMode)
    // {
    //     navigator.splashscreen.hide();
    // }
      
      
  });
})

.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider,ionicDatePickerProvider) {

    
$stateProvider.state('app', {
    url: '/app',
    abstract: true,
    templateUrl: 'templates/menu.html',
    controller: 'AppCtrl'
  })
   .state('onboarding', {
    url: "/onboarding",
    templateUrl: "templates/intro.html",
    controller: 'OnboardingCtrl'
  })
    
    $ionicConfigProvider.backButton.previousTitleText(false).text('');
    $ionicConfigProvider.backButton.icon('my-back-button');
    
    //Android layout fix
    $ionicConfigProvider.views.transition('ios');
    $ionicConfigProvider.tabs.style('standard').position('bottom');
    $ionicConfigProvider.navBar.alignTitle('center').positionPrimaryButtons('left');

    $urlRouterProvider.otherwise('onboarding');
    
    var datePickerObj = {
      inputDate: new Date(),
      titleLabel: 'Select a Date',
      setLabel: 'Set',
      todayLabel: 'Today',
      closeLabel: 'Close',
      mondayFirst: false,
      weeksList: ["S", "M", "T", "W", "T", "F", "S"],
      monthsList: ["Jan", "Feb", "March", "April", "May", "June", "July", "Aug", "Sept", "Oct", "Nov", "Dec"],
      templateType: 'popup',
      from: new Date(2012, 8, 1),
      to: new Date(2020, 8, 1),
      showTodayButton: false,
      dateFormat: 'dd MMMM yyyy',
      closeOnSelect: true,
      disableWeekdays: []
    };
    ionicDatePickerProvider.configDatePicker(datePickerObj);
    
})

.config(['dfpRefreshProvider', dfpRefreshProvider => {
    // dfpRefreshProvider.refreshInterval = '10s';
  }])
.config(['dfpResponsiveResizeProvider', dfpResponsiveResizeProvider => {
    dfpResponsiveResizeProvider.refreshDelay = '1s';
  }])

.directive('backImg', function(){
    return function(scope, element, attrs){
        var url = attrs.backImg;
        element.css({
            'background-image': 'url(' + url +')',
            'background-size' : 'cover'
        });
    };
})

.controller('OnboardingCtrl', function($scope, $state, $ionicHistory, $http, ionicDatePicker ) {
  
    if(productionMode)
    {
        NativeStorage.getItem("nls_sma_user_new_data_file", newGetSuccess, newGetFailure);
    }
    else
    {
        newGetFailure();
    }

    //var submitted = false;
    $scope.introValidation = false;
    $scope.introFormReady = false;

    var nameEntered = false;
    var dobEntered = false;

    $scope.submitDetails = function(){

        if(!nameEntered)
        {
            document.querySelector('.form-babyName').classList.add('validation');
        }

        if(!dobEntered)
        {
            document.querySelector('.form-babyDOB').classList.add('validation');
        }

        if((nameEntered) && (dobEntered))
        {
            userBabyDOB = document.querySelector('#userBabyDOB').value;
            console.log(userBabyDOB);
            userBabyName = document.querySelector('#userBabyName').value;
            calculateCurrentWeek();
            $state.go('form');
        }
        else{
            $scope.introValidation = true;
        }
        
    }

    $scope.babyNameEntered = function () {

        if (document.querySelector('#userBabyName').value == "") {
            document.querySelector('.form-babyName').classList.add('validation');
            nameEntered = false;
        } else {
            document.querySelector('.form-babyName').classList.remove('validation');
            nameEntered = true;
        }


       if((nameEntered) && (dobEntered))
       {
            $scope.introFormReady = true;
            $scope.introValidation = false;
       }
       else
       {
            $scope.introFormReady = false;
       }

    }

    $scope.openDatePicker = function () {

        var ipObj1 = {
            callback: function (val) { //Mandatory

                babyDOB = new Date(val);
                //console.log('Return value from the datepicker popup is : ' + val, babyDOB);
                document.getElementById('userBabyDOB').value = babyDOB.toDateString()
                validateDOB();
            },
            from: new Date(2014, 12, 1), //Optional
            to: new Date(), //Optional
            inputDate: babyDOB, //Optional
            mondayFirst: false, //Optional
            disableWeekdays: [], //Optional
            closeOnSelect: true, //Optional
            templateType: 'modal' //Optional
            
            
        };

        ionicDatePicker.openDatePicker(ipObj1);
    };


    function validateDOB(){
        if (document.querySelector('#userBabyDOB').value == "") {
            document.querySelector('.form-babyDOB').classList.add('validation');
            dobEntered = false;
            
        } else {
            document.querySelector('.form-babyDOB').classList.remove('validation');
            dobEntered = true;
        }

        if((nameEntered) && (dobEntered))
        {
            $scope.introFormReady = true;
            $scope.introValidation = false;
        }
        else
        {
            $scope.introFormReady = false;
        }

    }
    
    function newGetSuccess(obj){
        
            console.log('successfully loaded new data');
        
            var nls = JSON.parse(obj);

            userData = nls;
            registered = userData[0];
            favouriteRecipes = userData[1];
            myMealPlans = userData[2];
            shoppingList = userData[3];
            completedWeeks = userData[4];
            personalMealPlanners = userData[5];
            userId = userData[6];
            firstLoad = userData[7];
            userBabyDOB = userData[8];
            systemFakeDOB = userData[9];
            userBabyName = userData[10];

            if(userBabyName == undefined)
            {
                userBabyName = 'your baby';
            }
        
            //console.dir(userData);

            getWeeks();
    }

    function  getWeeks(){
        // $http.get('js/weeks.json').success(function (data) {
        //     weekData = data.Weeks.Week;
        //     getRecipes();
        // });   

        $http({
            method: 'GET',
            url: 'js/weeks.json'
         }).then(function (response){

            //console.dir(response);

            weekData = response.data.Weeks.Week;
            getRecipes();
         },function (error){
      
         });
    }

    function newGetFailure(e){
        
        console.log("couldn't find any new data..");
        //console.log("checking for legacy data..");

        //LEGACY LOCAL STORAGE
        //var ls = JSON.parse(localStorage.getItem('ls_sma_user_data_file'));

        //if ((ls == null) || (ls == '')) { // if we don't have legacy data

        console.log('no legacy data found so its a........NEW INSTALL');
        userData  = new Array(registered, favouriteRecipes, myMealPlans, shoppingList, completedWeeks, personalMealPlanners, userId, firstLoad, userBabyDOB, systemFakeDOB, userBabyName);

        //}
        // else // we have old legacy data to get..
        // {
        //     console.log('legacy data found, using that..');
            
        //     userData = ls;
        //     registered = userData[0];
        //     favouriteRecipes = userData[1];
        //     myMealPlans = userData[2];
        //     shoppingList = userData[3];
        //     completedWeeks = userData[4];
        //     personalMealPlanners = userData[5];
        //     userId = userData[6];
        //     firstLoad = userData[7];

        //     console.log('received legacy data');
        //     console.dir(userData);
        // }
        
        getWeeks();

    }
    
    function getRecipes()
    {
        $http({
            method: 'GET',
            url: 'js/existing_recipies.json'
         }).then(function (response){
            recipes = response.data.Recipes.Recipe;
            console.log('recipes loaded');

                    recipes.sort(function (a, b) {
                        var textA = a.Title.toUpperCase();
                        var textB = b.Title.toUpperCase();
                        return (textA < textB) ? -1 : (textA > textB) ? 1 : 0;
                    });

                    for (var d = 0; d < recipes.length; d++) {

                        if(firstLoad){

                            favouriteRecipes.push({
                                aId: recipes[d].ArticleId,
                                fav: false
                            });

                        }

                        // setup a dictionary for meal planner names
                        recipeDict[recipes[d].ArticleId] = recipes[d].Title;
                    }

                    if(firstLoad)
                    {
                        for (var w = 0; w < 26; w++) {
                            weeks[w] = [];
                            completedWeeks[w] = false;
                        }   
                    }
                    
                
                        $ionicHistory.nextViewOptions({
                          disableAnimate: true,
                          historyRoot: true
                        })

                        if(firstLoad)
                        {
                            firstLoad = false;
                        }
                
                        if(registered)
                        {
                            calculateCurrentWeek();

                            if(legacyUser)
                            {
                                legacyUser = false;
                                $state.go('app.welcome-back');
                            }
                            else
                            {
                                $state.go('app.home');
                            }

                        }
                        else
                        {
                            updateUserData();
                        }

                        if(productionMode)
                        {
                            navigator.splashscreen.hide();
                        }
         },function (error){
      
         });
        
    }
  
})

.controller('AppCtrl', function ($scope, $state, $ionicModal, $http, ionicDatePicker, $location, $timeout, $ionicScrollDelegate, dfp) {

    dfp();

    $scope.ready = true;

    $scope.ageFilter = [];
    $scope.timeFilter = [];
    $scope.typeFilter = [];
    $scope.ingredientFilter = [];

    $scope.ageFilterOn = false;
    $scope.timeFilterOn = false;
    $scope.typeFilterOn = false;
    $scope.ingredientFilterOn = false;
    $scope.anyFiltersOn = false;
    $scope.filtersOn = false;
    
    var signUpPage = '';

    setTimeout(function () {

        window.analytics.startTrackerWithId('UA-85793527-1');
        //window.analytics.debugMode();  
        window.analytics.trackView('Home Screen');

    }, 5000);

    $scope.goToWeeks = function(){
        $state.go('app.all-weeks');
    }
    
    $scope.openMadeForMums = function()
    {
        var link = window.open('http://www.madeformums.com', '_system', 'location=yes');
        
        window.analytics.trackEvent('Outbound', 'madeformums.com');
    }
    
    $scope.openFeedbacklink = function()
    {
        var link = window.open('mailto:weaning@madeformums.com', '_system', 'location=yes');
    }

    $scope.openRangeInfo = function()
    {
        var link = window.open('https://www.heinzbaby.co.uk/', '_system', 'location=yes');

        window.analytics.trackEvent('Outbound', 'https://www.heinzbaby.co.uk/');
    }
    
    $scope.addToShoppingList = function()
    {
        
        var ingredientArray = angular.copy(currentRecipe.Ingredients.Ingredient);
        
        for(var s=0;s<shoppingList.length;s++)
        {
            for(var i=0;i<ingredientArray.length;i++)
            {
                if(shoppingList[s].Title==ingredientArray[i].Title) // if they do alter the existing item
                {
                    var origVal = parseFloat(shoppingList[s].Amount)
                    var newVal = parseFloat(ingredientArray[i].Amount);
                    shoppingList[s].Amount = (origVal+newVal);
                    ingredientArray.splice(i,1); // remove from new list
                }
            }
        }
        
        // 2nd add any remaining items to the shopping list
        
        for(var r=0;r<ingredientArray.length;r++)
        {
            shoppingList.push(ingredientArray[r]);
        }
        
        $scope.updateData();
        
        var alert = navigator.notification.alert(
            'The ingredients for this recipe have been added to your shopping list',  // message
            alertDismissed,         // callback
            'Added to shopping list',            // title
            'Ok'                  // buttonName
        );
        
        
        if(typeof window.analytics !== undefined)
        {
            var lab = 'Recipe: '+currentRecipe.ArticleId;
            window.analytics.trackEvent('Added', 'Shopping List', lab);
        }
        
    }
    
    $scope.updateData = function() {
        
        updateUserData();
    }

    $scope.updateBabyProfile = function(name, dob, wk)
    {
        userBabyName = name;
        userBabyDOB = dob;
        
        var changeInWeeks = (wk - systemCalculatedWeek);

        if((wk!=null) &&(changeInWeeks!=0))
        {
            if(changeInWeeks < 0)
            {
                var adj = Math.abs(changeInWeeks);
                var newWeek = moment(systemCurrentDOB).add(adj, 'weeks');
            }
            else if(changeInWeeks > 0)
            {
                var adj = Math.abs(changeInWeeks);
                var newWeek = moment(systemCurrentDOB).subtract(adj, 'weeks');
            }

            console.log(newWeek.format('YYYY-MM-DD').toString());
            userBabyDOB = newWeek.format('YYYY-MM-DD').toString();
            calculateCurrentWeek();
        }
        else
        {
            updateUserData();
        }

        $state.go('app.home');
    }

    $ionicModal.fromTemplateUrl('templates/sign-up.html', {
        scope: $scope,
        animation: 'slide-in-right'
      }).then(function (modal) {
          $scope.modal = modal;
      });
  
      $scope.showPopUp = function (afl) {
          
          afterFilterLink = afl;
          filtering = true;
          $scope.modal.show();
          $state.go('app.blank');
      }
      
    //   $scope.cancelPopUp = function () {
          
    //       $scope.closePopUp();
    //   }
  
      $scope.closePopUp = function () {
  
          $scope.modal.hide();
          $ionicScrollDelegate.$getByHandle('modalContent').scrollTop(false);

          $ionicScrollDelegate.resize();
      }

    $scope.ageVisable = false;
    $scope.ingredientVisable = false;
    $scope.timeVisable = false;
    $scope.typeVisable = false;
    
    $scope.$on('$ionicView.enter', function(e) {
        
        //$scope.changeFilters();
        
    });
    
    $scope.ingredients = [
        {id: 1, text: 'Aubergine', checked:false},
        {id: 2, text: 'Beef', checked:false},
        {id: 3, text: 'Broccoli', checked:false},
        {id: 4, text: 'Butternut squash', checked:false},
        {id: 5, text: 'Chicken', checked:false},
        {id: 6, text: 'Cod', checked:false},
        {id: 7, text: 'Haddock', checked:false},
        {id: 8, text: 'Lamb', checked:false},
        {id: 9, text: 'Lentil', checked:false},
        {id: 10, text: 'Pasta', checked:false},
        {id: 11, text: 'Pork', checked:false},
        {id: 12, text: 'Salmon', checked:false},
        {id: 13, text: 'Sweet potato', checked:false},
        {id: 14, text: 'Tuna', checked:false},
        {id: 15, text: 'Turkey', checked:false}
    ];
    
    $scope.ages = [
        {id: 1, text: 'First food', value: '0', checked:false},
        {id: 2, text: 'From 6 months', value: '6', checked:false},
        {id: 3, text: 'From 7 months', value: '7', checked:false},
        {id: 4, text: 'From 8 months', value: '8', checked:false},
        {id: 5, text: 'From 9 months', value: '9', checked:false},
        {id: 6, text: 'From 10 months', value: '10', checked:false},
        {id: 7, text: 'From 11 months', value: '11', checked:false}
    ];    
    
    $scope.times = [
        {id: 1, text: 'Under 10 minutes', value: '10', checked:false},
        {id: 2, text: 'Under 20 minutes', value: '20', checked:false},
        {id: 3, text: 'Under 30 minutes', value: '30', checked:false},
        {id: 4, text: 'Under 40 minutes', value: '40', checked:false}
    ];  
    
    $scope.mealTypes = [
        {id: 1, text: 'Breakfast', checked:false},
        {id: 2, text: 'First food', checked:false},
        {id: 3, text: 'Pudding', checked:false},
        {id: 4, text: 'Lunch', checked:false},
        {id: 4, text: 'Tea', checked:false},
        {id: 4, text: 'Snack', checked:false}
    ];  
    
    $scope.changeFilters = function()
    {

        $scope.ageFilter = [];
        $scope.timeFilter = [];
        $scope.typeFilter = [];
        $scope.ingredientFilter = [];

        $scope.ageFilterOn = false;
        $scope.timeFilterOn = false;
        $scope.typeFilterOn = false;
        $scope.ingredientFilterOn = false;

        $scope.filtersOn = false;

        $scope.ingredientVisable = false;
        $scope.ageVisable = false;
        $scope.typeVisable = false;
        $scope.timeVisable = false;
        
        // INGREDIENTS
        
        for(var i=0;i<$scope.ingredients.length;i++)
        {
            if($scope.ingredients[i].checked)
            {
                $scope.ingredientFilter.push($scope.ingredients[i].text.toLowerCase());
                $scope.ingredientFilterOn = true;
                $scope.filtersOn = true;
            }
        }
        
        // AGE
        
        for(i=0;i<$scope.ages.length;i++)
        {
            console.log('check age');
            if($scope.ages[i].checked)
            {
                console.log('age checked');
                $scope.ageFilter.push($scope.ages[i].value);
                $scope.ageFilterOn = true;
                $scope.filtersOn = true;
            }
        }
        
        // MEAL TYPE
        
        for(i=0;i<$scope.mealTypes.length;i++)
        {
            if($scope.mealTypes[i].checked)
            {
                $scope.typeFilter.push($scope.mealTypes[i].text);
                $scope.typeFilterOn = true;
                $scope.filtersOn = true;
            }
        }
        
        // TIME
        
        for(i=0;i<$scope.times.length;i++)
        {
            if($scope.times[i].checked)
            {
                $scope.timeFilter.push($scope.times[i].value);
                $scope.timeFilterOn = true;
                $scope.filtersOn = true;
            }
        }

        $scope.numFiltersOn = ($scope.timeFilter.length + $scope.typeFilter.length + $scope.ageFilter.length + $scope.ingredientFilter.length);
        
        $ionicScrollDelegate.$getByHandle('modalContent').scrollTop(false);
        // reset scroll depth
        $ionicScrollDelegate.resize();
    }

    $scope.resetFilters = function()
    {
        $scope.ingredients = [
            {id: 1, text: 'Aubergine', checked:false},
            {id: 2, text: 'Beef', checked:false},
            {id: 3, text: 'Broccoli', checked:false},
            {id: 4, text: 'Butternut squash', checked:false},
            {id: 5, text: 'Chicken', checked:false},
            {id: 6, text: 'Cod', checked:false},
            {id: 7, text: 'Haddock', checked:false},
            {id: 8, text: 'Lamb', checked:false},
            {id: 9, text: 'Lentil', checked:false},
            {id: 10, text: 'Pasta', checked:false},
            {id: 11, text: 'Pork', checked:false},
            {id: 12, text: 'Salmon', checked:false},
            {id: 13, text: 'Sweet potato', checked:false},
            {id: 14, text: 'Tuna', checked:false},
            {id: 15, text: 'Turkey', checked:false}
        ];
        
        $scope.ages = [
            {id: 1, text: 'First food', value: '0', checked:false},
            {id: 2, text: 'From 6 months', value: '6', checked:false},
            {id: 3, text: 'From 7 months', value: '7', checked:false},
            {id: 4, text: 'From 8 months', value: '8', checked:false},
            {id: 5, text: 'From 9 months', value: '9', checked:false},
            {id: 6, text: 'From 10 months', value: '10', checked:false},
            {id: 7, text: 'From 11 months', value: '11', checked:false}
        ];    
        
        $scope.times = [
            {id: 1, text: 'Under 10 minutes', value: '10', checked:false},
            {id: 2, text: 'Under 20 minutes', value: '20', checked:false},
            {id: 3, text: 'Under 30 minutes', value: '30', checked:false},
            {id: 4, text: 'Under 40 minutes', value: '40', checked:false}
        ];  
        
        $scope.mealTypes = [
            {id: 1, text: 'Breakfast', checked:false},
            {id: 2, text: 'First food', checked:false},
            {id: 3, text: 'Pudding', checked:false},
            {id: 4, text: 'Lunch', checked:false},
            {id: 4, text: 'Tea', checked:false},
            {id: 4, text: 'Snack', checked:false}
        ];  

        $scope.changeFilters();
    }
    
    $scope.applyNoFilter = function()
    {
        $scope.ageFilter = [];
        $scope.timeFilter = [];
        $scope.typeFilter = [];
        $scope.ingredientFilter = [];
        filteredRecipes = recipes;
        showResults();
    }

    $scope.numFiltersOn=0;
    
    $scope.filterItems = function()
    {
        // nothing selected
        if(($scope.timeFilter.length==0)&&($scope.typeFilter.length==0)&&($scope.ageFilter.length==0)&&($scope.ingredientFilter.length==0))
        { 
           $scope.anyFiltersOn = false;
           filteredRecipes = recipes;
           showResults();
        }
        else
        {
           $scope.anyFiltersOn = true;
           $scope.numFiltersOn = ($scope.timeFilter.length + $scope.typeFilter.length + $scope.ageFilter.length + $scope.ingredientFilter.length);
           searchForItems();
        }

    }
    
    function searchForItems ()
    {  
        filteredRecipes = [];
    
        for(var r=0;r<recipes.length;r++)
        {
                var ingredientCheck=false;
                var ageCheck=false;
                var typeCheck=false;
                var timeCheck=false;

                var ingredientHappy=false;
                var ageHappy=false;
                var typeHappy=false;
                var timeHappy=false;

                var menuItem = recipes[r];

                if((menuItem.Ingredients!=undefined)&&($scope.ingredientFilter.length!=0))
                {
                        for(var i = 0;i<menuItem.Ingredients.Ingredient.length;i++)
                        {
                            if(menuItem.Ingredients.Ingredient[i].Title!=undefined)
                            {
                                var ing = menuItem.Ingredients.Ingredient[i].Title;

                                for(var g = 0;g<$scope.ingredientFilter.length;g++) // check all ingredients
                                {

                                    if(ing.indexOf($scope.ingredientFilter[g]) !== -1) // recipe contains the ingredient
                                    {
                                        ingredientCheck=true;
                                    }    

                                }    
                            }
                        }

                }

                if(($scope.ingredientFilter.length>0)&&(ingredientCheck))
                {
                    ingredientHappy=true;
                }
                else if($scope.ingredientFilter.length==0)
                {
                    ingredientHappy=true;
                }

                if($scope.ageFilter.length!=0) // AGE
                {

                    for(i = 0;i<$scope.ageFilter.length;i++) 
                    {
                       if(menuItem.AgeSuitability==parseInt($scope.ageFilter[i]))
                       {
                           ageCheck=true;
                       }

                    }
                }

                if(($scope.ageFilter.length>0)&&(ageCheck))
                {
                    ageHappy=true;
                }
                else if($scope.ageFilter.length==0)
                {
                    ageHappy=true;
                }

                if($scope.timeFilter.length!=0) // TIME
                {
                    for(i = 0;i<$scope.timeFilter.length;i++) // check all times
                    {
                        //console.log('pt:'+menuItem.PreparationTime);
                       if(menuItem.PreparationTime<=parseInt($scope.timeFilter[i]))
                       {
                           timeCheck=true;
                       }
                    }
                }


                if(($scope.timeFilter.length>0)&&(timeCheck))
                {
                    timeHappy=true;
                }
                else if($scope.timeFilter.length==0)
                {
                    timeHappy=true;
                }

                if($scope.typeFilter.length!=0) // TYPE
                {
                    for(i = 0;i<$scope.typeFilter.length;i++) // check all ages
                    {
                        if(menuItem.MealType!=undefined)
                        {
                           var mt = menuItem.MealType;

                           if(mt.indexOf($scope.typeFilter[i]) !== -1)
                           {
                               typeCheck=true;
                           }

                        }
                    }
                }

                if(($scope.typeFilter.length>0)&&(typeCheck))
                {
                    typeHappy=true;
                }
                else if($scope.typeFilter.length==0)
                {
                    typeHappy=true;
                }


                // No matching ingredient found? Return false to exclude this item.
                if((ingredientHappy)&&(ageHappy)&&(typeHappy)&&(timeHappy))
                {
                    // add item
                    filteredRecipes.push(menuItem);
                    console.log('added');
                }
                else
                {
                    console.log('excluded');
                }
            
        }

        //console.dir(filteredRecipes);
       showResults();
    }

    $scope.showAge = function (p) {
        
        $scope.ageVisable = !$scope.ageVisable;
        
        $ionicScrollDelegate.resize();
    }
    
    $scope.showIngredient = function (p) {
        
        $scope.ingredientVisable = !$scope.ingredientVisable;
        
        $ionicScrollDelegate.resize();
    }
    
    $scope.showTime = function (p) {
        
        $scope.timeVisable = !$scope.timeVisable;
        
        $ionicScrollDelegate.resize();
    }
    
    $scope.showType = function (p) {
        
        $scope.typeVisable = !$scope.typeVisable;
        
        $ionicScrollDelegate.resize();
    }
    
    function showResults()
    {   
        var afl = 'app.'+afterFilterLink;
        $state.go(afl);
        $scope.closePopUp();

        // tracking

        if(typeof window.analytics !== undefined)
        {

            for(var i=0;i<$scope.ingredients.length;i++)
            {
                if($scope.ingredients[i].checked)
                {
                    window.analytics.trackEvent('Added', 'Filter', $scope.ingredients[i].text.toLowerCase());                
                }
            }

            for(var i=0;i<$scope.ages.length;i++)
            {
                if($scope.ages[i].checked)
                {
                    window.analytics.trackEvent('Added', 'Filter', $scope.ages.text.toLowerCase());                
                }
            }

            for(var i=0;i<$scope.mealTypes.length;i++)
            {
                if($scope.mealTypes[i].checked)
                {
                    window.analytics.trackEvent('Added', 'Filter', $scope.mealTypes[i].text.toLowerCase());                
                }
            }

            for(var i=0;i<$scope.times.length;i++)
            {
                if($scope.times[i].checked)
                {
                    window.analytics.trackEvent('Added', 'Filter', $scope.times.text.toLowerCase());                
                }
            }

        }

    }

    $timeout(function(){
        //return false; // <--- comment this to "fix" the problem
        var sv = $ionicScrollDelegate.$getByHandle('horizontal').getScrollView();
    
        var container = sv.__container;
    
        var originaltouchStart = sv.touchStart;
        var originalmouseDown = sv.mouseDown;
        var originaltouchMove = sv.touchMove;
        var originalmouseMove = sv.mouseMove;
    
        container.removeEventListener('touchstart', sv.touchStart);
        container.removeEventListener('mousedown', sv.mouseDown);
        document.removeEventListener('touchmove', sv.touchMove);
        document.removeEventListener('mousemove', sv.mousemove);
        
    
        sv.touchStart = function(e) {
          e.preventDefault = function(){}
          originaltouchStart.apply(sv, [e]);
        }
    
        sv.touchMove = function(e) {
          e.preventDefault = function(){}
          originaltouchMove.apply(sv, [e]);
        }
        
        sv.mouseDown = function(e) {
          e.preventDefault = function(){}
          originalmouseDown.apply(sv, [e]);
        }
    
        sv.mouseMove = function(e) {
          e.preventDefault = function(){}
          originalmouseMove.apply(sv, [e]);
        }
    
        container.addEventListener("touchstart", sv.touchStart, false);
        container.addEventListener("mousedown", sv.mouseDown, false);
        document.addEventListener("touchmove", sv.touchMove, false);
        document.addEventListener("mousemove", sv.mouseMove, false);
      });
      $timeout(function(){
        //return false; // <--- comment this to "fix" the problem
        var sv = $ionicScrollDelegate.$getByHandle('horizontal2').getScrollView();
    
        var container = sv.__container;
    
        var originaltouchStart = sv.touchStart;
        var originalmouseDown = sv.mouseDown;
        var originaltouchMove = sv.touchMove;
        var originalmouseMove = sv.mouseMove;
    
        container.removeEventListener('touchstart', sv.touchStart);
        container.removeEventListener('mousedown', sv.mouseDown);
        document.removeEventListener('touchmove', sv.touchMove);
        document.removeEventListener('mousemove', sv.mousemove);
        
    
        sv.touchStart = function(e) {
          e.preventDefault = function(){}
          originaltouchStart.apply(sv, [e]);
        }
    
        sv.touchMove = function(e) {
          e.preventDefault = function(){}
          originaltouchMove.apply(sv, [e]);
        }
        
        sv.mouseDown = function(e) {
          e.preventDefault = function(){}
          originalmouseDown.apply(sv, [e]);
        }
    
        sv.mouseMove = function(e) {
          e.preventDefault = function(){}
          originalmouseMove.apply(sv, [e]);
        }
    
        container.addEventListener("touchstart", sv.touchStart, false);
        container.addEventListener("mousedown", sv.mouseDown, false);
        document.addEventListener("touchmove", sv.touchMove, false);
        document.addEventListener("mousemove", sv.mouseMove, false);
      });
    });

    //Scroll fix directive

(function() {
    var HorizontalScrollFix = (function() {
      function HorizontalScrollFix($timeout, $ionicScrollDelegate) {
        return {
          restrict: 'A',
          link: function(scope, element, attrs) {
            var mainScrollID = attrs.horizontalScrollFix,
                scrollID = attrs.delegateHandle;
            
            var getEventTouches = function(e) {
              return e.touches && (e.touches.length ? e.touches : [
                {
                  pageX: e.pageX,
                  pageY: e.pageY
                }
              ]);
            };
            
            var fixHorizontalAndVerticalScroll = function() {
              var mainScroll, scroll;
              mainScroll = $ionicScrollDelegate.$getByHandle(mainScrollID).getScrollView();
              scroll = $ionicScrollDelegate.$getByHandle(scrollID).getScrollView();
              
              // patch touchstart
              scroll.__container.removeEventListener('touchstart', scroll.touchStart);
              scroll.touchStart = function(e) {
                var startY;
                scroll.startCoordinates = ionic.tap.pointerCoord(e);
                if (ionic.tap.ignoreScrollStart(e)) {
                  return;
                }
                scroll.__isDown = true;
                if (ionic.tap.containsOrIsTextInput(e.target) || e.target.tagName === 'SELECT') {
                  scroll.__hasStarted = false;
                  return;
                }
                scroll.__isSelectable = true;
                scroll.__enableScrollY = true;
                scroll.__hasStarted = true;
                scroll.doTouchStart(getEventTouches(e), e.timeStamp);
                startY = mainScroll.__scrollTop;
                
                // below is our changes to this method
                // e.preventDefault();
               
                // lock main scroll if scrolling horizontal
                $timeout((function() {
                  var animate, yMovement;
                  yMovement = startY - mainScroll.__scrollTop;
                  if (scroll.__isDragging && yMovement < 2.0 && yMovement > -2.0) {
                    mainScroll.__isTracking = false;
                    mainScroll.doTouchEnd();
                    animate = false;
                    return mainScroll.scrollTo(0, startY, animate);
                  } else {
                    return scroll.doTouchEnd();
                  }
                }), 100);
              };
              scroll.__container.addEventListener('touchstart', scroll.touchStart);
            };
            $timeout(function() { fixHorizontalAndVerticalScroll(); });          
          }
        };
      }
  
      return HorizontalScrollFix;
  
    })();

angular.module('ionicApp').directive('horizontalScrollFix', ['$timeout', '$ionicScrollDelegate', HorizontalScrollFix]);

});

function isEmail(email) {
    var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    return regex.test(email);
}

function alertDismissed() {

}

function success(message) {
    
}

function failure() {

}

function updateUserData()
{
        userData = new Array(registered, favouriteRecipes, myMealPlans, shoppingList, completedWeeks, personalMealPlanners, userId, firstLoad, userBabyDOB, systemFakeDOB, userBabyName);
        if(productionMode)
        {
           NativeStorage.setItem("nls_sma_user_new_data_file", JSON.stringify(userData), newSetSuccess, newSetFailure); // < - NEW    
        }
        
}

function newSetSuccess()
{
    console.log('updated');
    //console.dir(userData);
}

function newSetFailure(e)
{
    console.log('update failed');
    console.dir(e);
    //console.dir(userData);
}

function calculateCurrentWeek(){

    console.log('CALCULATE CURRENT WEEK:');

    if(systemFakeDOB) // the user has updated from the legacy app with no DOB so we persisit with the fake DOB
    {
        console.log('fake');
        systemCurrentDOB = systemFakeDOB;
    }
    else if(userBabyDOB)
    {
        console.log('user');
        systemCurrentDOB = userBabyDOB;
    }
    else // legacy user first install, calculate a fake dob 6 months ago (take into account any completed week reached)
    {
        console.log('legacy');
        legacyUser = true;
        var weekReached = 0;

        if(completedWeeks) // if the legacy user manually completed any weeks
        {
            for(var i=0;i<completedWeeks.length;i++)
            {
                if(completedWeeks[i])
                {
                    weekReached=(i+1);
                }
            }
        }   

        var d = new Date();
        d.setDate(d.getDate() - (7 * (26 + weekReached)));
        systemFakeDOB = d;
        systemCurrentDOB = systemFakeDOB;
        userBabyDOB = systemFakeDOB;
        systemFakeDOB = null;
        
    }

            // get todays date
            //var t = moment();
            var t = moment().startOf('day');   

            // get the baby dob
            var dobString = systemCurrentDOB;
      
            // get the date  6 months after dob
            var sd = moment(dobString).add(6, 'months');
            var startDate = sd.subtract(1, 'days');// add an extra day to start counting from the first day of the next month (rather than last day of the previous)
      
            // was this 6 months or more ago?
            var babyReady = startDate.isBefore(t); // true or false
      
            var asd;// actual start date
            var pew;// programme end date
            var programmeComplete = false;
            var currentWeek = 0;
      
            if(babyReady) // if the baby is ready to start, calculate the current week
            {
                asd = moment(dobString).add(6, 'months');
                asd.subtract(7, 'days'); // adjustment to make week 0 actually count as week 1
      
                pew = moment(asd).add(27, 'weeks');
                console.log('pew:');
                console.log(t.diff(pew, 'weeks',true));
      
                if(Math.round(t.diff(pew, 'weeks',true))>0)
                {
                    programmeComplete = true;
                    systemCurrentDOB = t.subtract(52, 'weeks').subtract(2, 'days').format('YYYY-MM-DD').toString();
                    currentWeek = 27;
                }
                else
                {
                    var currentHours = t.diff(asd, 'hours', true);
                    var currentDays = t.diff(asd, 'days', true);
                    currentWeek = t.diff(asd, 'weeks', true);
      
                    console.log('hours: ' + currentHours);
                    console.log('days: ' + currentDays);
                    console.log('current week before editing is:');
                    console.log('______________________')
                    console.log('week: '+currentWeek);
      
                    currentWeek = Math.floor(currentWeek);
                }
      
           }
           else // if the baby isnt ready to start, set the dob to one week before
           {
             console.log('baby isnt ready');
              asd = t.subtract(6, 'months');
              asd.add(7, 'days');
              systemCurrentDOB = asd.format('YYYY-MM-DD').toString();
              console.log(systemCurrentDOB);
              currentWeek = t.diff(asd, 'weeks', true);
              currentWeek = Math.round(currentWeek);
           }

      systemCalculatedWeek = currentWeek;

    updateUserData();

  }