'use strict';

angular.module('smaApp.view-blank', [])

.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state('app.blank', {
            url: '/blank',
            views: {
                'menuContent': {
                    templateUrl: 'view-blank/view-blank.html',
                    controller: 'BlankController'
                }
            }
        })
    
})



.controller('BlankController', ['$scope', '$http', '$state', '$ionicPopup', function ($scope, $http, $state, $ionicPopup) {
    
    $scope.$on('$ionicView.enter', function(e) {
        
        if(typeof window.analytics !== undefined)
        {
            window.analytics.trackView('FAQs');
        }

    });
    
}])


