'use strict';

angular.module('smaApp.view-sma-help', [])

.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state('app.sma-help', {
            url: '/sma-help',
            views: {
                'menuContent': {
                    templateUrl: 'view-sma-help/view-sma-help.html',
                    controller: 'SmaHelpController'
                }
            }
        })
    
    

})



.controller('SmaHelpController', ['$scope', '$http', '$state', '$ionicPopup', '$ionicPopover', '$ionicTabsDelegate', '$ionicScrollDelegate', function ($scope, $http, $state, $ionicPopup, $ionicPopover, $ionicTabsDelegate, $ionicScrollDelegate) {
    
     $scope.$on('$ionicView.enter', function(e) {
         
         $ionicScrollDelegate.resize();
        
        if(typeof window.analytics !== undefined)
        {
            window.analytics.trackView('Tips from Heinz');
        }

    });
    
     $scope.selectTabs = function(index) {
        $ionicTabsDelegate.select(index);
        $ionicScrollDelegate.resize();   

        //$scope.checkForSignUp();
        
            for(var i=0;i<4;i++)
            {
                
                var c = 'sma-h-'+(i+1);
                
                if(i==index)
                {
                    
                    document.getElementsByClassName(c)[0].style.opacity = 1;
                }
                else
                {
                    document.getElementsByClassName(c)[0].style.opacity = 0;
                }
            }
      }

}])