'use strict';

angular.module('smaApp.view-weaning-guide', [])

.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state('app.weaning-guide', {
            url: '/weaning-guide',
            views: {
                'menuContent': {
                    templateUrl: 'view-weaning-guide/view-weaning-guide.html',
                    controller: 'WeaningGuideController'
                }
            }
        })
    
        .state('app.portion-size-guide', {
            url: '/weaning-guide/portion-size-guide',
            views: {
                'menuContent': {
                    templateUrl: 'view-weaning-guide/portion-size-guide/portion-sizes-for-your-baby.html',
                    controller : 'WeaningGuideArticleController'
                }
            }
        })
    
        .state('app.is-your-baby-ready', {
            url: '/weaning-guide/is-your-baby-ready',
            views: {
                'menuContent': {
                    templateUrl: 'view-weaning-guide/is-your-baby-ready/view-is-your-baby-ready.html',
                    controller : 'WeaningGuideArticleController'
                }
            }
        })
    
                .state('app.is-your-baby-ready-for-weaning', {
                    url: '/weaning-guide/is-your-baby-ready/is-your-baby-ready-for-weaning',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/is-your-baby-ready/is-your-baby-ready-for-weaning/view-is-your-baby-ready-for-weaning.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })

                .state('app.when-to-start-weaning', {
                    url: '/weaning-guide/is-your-baby-ready/when-to-start-weaning',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/is-your-baby-ready/when-to-start-weaning/view-when-to-start-weaning.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })

                .state('app.weaning-before-six-months', {
                    url: '/weaning-guide/is-your-baby-ready/weaning-before-six-months',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/is-your-baby-ready/weaning-before-six-months/view-weaning-before-six-months.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
        .state('app.before-you-begin', {
            url: '/weaning-guide/before-you-begin',
            views: {
                'menuContent': {
                    templateUrl: 'view-weaning-guide/before-you-begin/view-before-you-begin.html',
                    controller : 'WeaningGuideArticleController'
                }
            }
        })
    
                .state('app.how-do-you-start-weaning', {
                    url: '/weaning-guide/before-you-begin/how-do-you-start-weaning',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/before-you-begin/how-do-you-start-weaning/how-do-you-start-weaning.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.what-you-need-to-buy-for-weaning', {
                    url: '/weaning-guide/before-you-begin/what-you-need-to-buy-for-weaning',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/before-you-begin/what-you-need-to-buy-for-weaning/view-what-you-need-to-buy-for-weaning.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.purees-or-baby-led-weaning', {
                    url: '/weaning-guide/before-you-begin/purees-or-baby-led-weaning',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/before-you-begin/purees-or-baby-led-weaning/purees-or-baby-led-weaning.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
    
        .state('app.basics-made-easy', {
            url: '/weaning-guide/basics-made-easy',
            views: {
                'menuContent': {
                    templateUrl: 'view-weaning-guide/basics-made-easy/view-basics-made-easy.html',
                    controller : 'WeaningGuideArticleController'
                }
            }
        })
    
                .state('app.10-tips-for-successful-weaning', {
                    url: '/weaning-guide/basics-made-easy/10-tips-for-successful-weaning',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/basics-made-easy/10-tips-for-successful-weaning/view-10-tips-for-successful-weaning.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.how-to-prepare-baby-food-safely', {
                    url: '/weaning-guide/basics-made-easy/how-to-prepare-baby-food-safely',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/basics-made-easy/how-to-prepare-baby-food-safely/view-how-to-prepare-baby-food-safely.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.when-to-introduce-flavours', {
                    url: '/weaning-guide/basics-made-easy/when-to-introduce-flavours',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/basics-made-easy/when-to-introduce-flavours/view-when-to-introduce-flavours.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.how-to-get-the-right-texture', {
                    url: '/weaning-guide/basics-made-easy/how-to-get-the-right-texture',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/basics-made-easy/how-to-get-the-right-texture/view-how-to-get-the-right-texture.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.nutrition-advice-in-your-babys-first-year', {
                    url: '/weaning-guide/basics-made-easy/nutrition-advice-in-your-babys-first-year',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/basics-made-easy/nutrition-advice-in-your-babys-first-year/view-nutrition-advice-in-your-babys-first-year.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
    .state('app.what-to-buy', {
            url: '/weaning-guide/what-to-buy',
            views: {
                'menuContent': {
                    templateUrl: 'view-weaning-guide/what-to-buy/view-what-to-buy.html',
                    controller : 'WeaningGuideArticleController'
                }
            }
        })
    
    
                .state('app.what-to-buy-for-weaning', {
                        url: '/weaning-guide/what-to-buy/what-to-buy-for-weaning',
                        views: {
                            'menuContent': {
                                templateUrl: 'view-weaning-guide/what-to-buy/what-to-buy-for-weaning/view-what-to-buy-for-weaning.html',
                                controller : 'WeaningGuideArticleController'
                            }
                        }
                    })
    
                .state('app.10-of-the-best-highchairs-and-booster-seats', {
                        url: '/weaning-guide/what-to-buy/10-of-the-best-highchairs-and-booster-seats',
                        views: {
                            'menuContent': {
                                templateUrl: 'view-weaning-guide/what-to-buy/10-of-the-best-highchairs-and-booster-seats/view-10-of-the-best-highchairs-and-booster-seats.html',
                                controller : 'WeaningGuideArticleController'
                            }
                        }
                    })
                .state('app.10-of-the-best-highchairs-for-less-than-seventy-pounds', {
                        url: '/weaning-guide/what-to-buy/10-of-the-best-highchairs-for-less-than-seventy-pounds',
                        views: {
                            'menuContent': {
                                templateUrl: 'view-weaning-guide/what-to-buy/10-of-the-best-highchairs-for-less-than-seventy-pounds/view-10-of-the-best-highchairs-for-less-than-seventy-pounds.html',
                                controller : 'WeaningGuideArticleController'
                            }
                        }
                    })
                .state('app.kitchen-essentials-you-need-for-weaning', {
                        url: '/weaning-guide/what-to-buy/kitchen-essentials-you-need-for-weaning',
                        views: {
                            'menuContent': {
                                templateUrl: 'view-weaning-guide/what-to-buy/kitchen-essentials-you-need-for-weaning/view-kitchen-essentials-you-need-for-weaning.html',
                                controller : 'WeaningGuideArticleController'
                            }
                        }
                    })
                .state('app.5-of-the-best-baby-food-blenders-and-grinders', {
                        url: '/weaning-guide/what-to-buy/5-of-the-best-baby-food-blenders-and-grinders',
                        views: {
                            'menuContent': {
                                templateUrl: 'view-weaning-guide/what-to-buy/5-of-the-best-baby-food-blenders-and-grinders/view-5-of-the-best-baby-food-blenders-and-grinders.html',
                                controller : 'WeaningGuideArticleController'
                            }
                        }
                    })
    
        .state('app.if-things-go-wrong', {
                url: '/weaning-guide/if-things-go-wrong',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/if-things-go-wrong/view-if-things-go-wrong.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
        })
    
                .state('app.when-your-baby-wont-eat-solids', {
                    url: '/weaning-guide/if-things-go-wrong/when-your-baby-wont-eat-solids',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/if-things-go-wrong/when-your-baby-wont-eat-solids/view-when-your-baby-wont-eat-solids.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.extreme-fussy-eating', {
                    url: '/weaning-guide/if-things-go-wrong/extreme-fussy-eating',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/if-things-go-wrong/extreme-fussy-eating/view-extreme-fussy-eating.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.when-your-baby-wont-self-feed', {
                    url: '/weaning-guide/if-things-go-wrong/when-your-baby-wont-self-feed',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/if-things-go-wrong/when-your-baby-wont-self-feed/view-when-your-baby-wont-self-feed.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.avoiding-mealtime-battles', {
                    url: '/weaning-guide/if-things-go-wrong/avoiding-mealtime-battles',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/if-things-go-wrong/avoiding-mealtime-battles/view-avoiding-mealtime-battles.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.when-your-baby-wont-eat-vegetables', {
                    url: '/weaning-guide/if-things-go-wrong/when-your-baby-wont-eat-vegetables',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/if-things-go-wrong/when-your-baby-wont-eat-vegetables/view-when-your-baby-wont-eat-vegetables.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.when-your-baby-wont-eat-fruit', {
                    url: '/weaning-guide/if-things-go-wrong/when-your-baby-wont-eat-fruit',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/if-things-go-wrong/when-your-baby-wont-eat-fruit/view-when-your-baby-wont-eat-fruit.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.feeding-a-sick-baby', {
                    url: '/weaning-guide/if-things-go-wrong/feeding-a-sick-baby',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/if-things-go-wrong/feeding-a-sick-baby/view-feeding-a-sick-baby.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
    
                .state('app.feeding-a-teething-baby', {
                    url: '/weaning-guide/if-things-go-wrong/feeding-a-teething-baby',
                    views: {
                        'menuContent': {
                            templateUrl: 'view-weaning-guide/if-things-go-wrong/feeding-a-teething-baby/view-feeding-a-teething-baby.html',
                            controller : 'WeaningGuideArticleController'
                        }
                    }
                })
//    WEEK 1
            .state('app.how-to-make-baby-purees', {
                url: '/weaning-guide/how-to-make-baby-purees',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week1/how-to-make-baby-purees.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
            .state('app.all-about-baby-rice', {
                url: '/weaning-guide/all-about-baby-rice',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week1/all-about-baby-rice.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
            .state('app.how-to-do-baby-led-weaning', {
                url: '/weaning-guide/how-to-do-baby-led-weaning',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week1/how-to-do-baby-led-weaning.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
        
//    WEEK 2
    
        .state('app.safe-first-foods-for-weaning-your-baby', {
                url: '/weaning-guide/safe-first-foods-for-weaning-your-baby',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week2/safe-first-foods-for-weaning-your-baby.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.introducing-finger-foods', {
                url: '/weaning-guide/introducing-finger-foods',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week2/introducing-finger-foods.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.can-you-use-a-dishwasher-instead-of-a-sterilliser', {
                url: '/weaning-guide/can-you-use-a-dishwasher-instead-of-a-sterilliser',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week2/can-you-use-a-dishwasher-instead-of-a-steriliser.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 3
    
        .state('app.foods-to-avoid-when-your-weaning', {
                url: '/weaning-guide/foods-to-avoid-when-your-weaning',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week3/foods-to-avoid-when-your-weaning.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.help-my-baby-only-wants-milk-and-wont-touch-purees', {
                url: '/weaning-guide/help-my-baby-only-wants-milk-and-wont-touch-purees',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week3/help-my-baby-only-wants-milk-and-wont-touch-purees.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 4
    
    .state('app.how-often-should-i-introduce-new-flavours-and-tastes', {
                url: '/weaning-guide/how-often-should-i-introduce-new-flavours-and-tastes',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week4/how-often-should-i-introduce-new-flavours-and-tastes.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-to-prepare-and-serve-baby-food-safely', {
                url: '/weaning-guide/how-to-prepare-and-serve-baby-food-safely',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week4/how-to-prepare-and-serve-baby-food-safely.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.when-to-move-from-bottle-to-cup', {
                url: '/weaning-guide/when-to-move-from-bottle-to-cup',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week4/when-to-move-from-bottle-to-cup.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 5
    
    .state('app.dropping-milk-feeds-from-7-9-months', {
                url: '/weaning-guide/dropping-milk-feeds-from-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week5/dropping-milk-feeds-from-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-to-get-the-right-texture-for-your-baby-at-7-9-months', {
                url: '/weaning-guide/how-to-get-the-right-texture-for-your-baby-at-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week5/how-to-get-the-right-texture-for-your-baby-at-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.introducing-lumps-to-your-baby', {
                url: '/weaning-guide/introducing-lumps-to-your-baby',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week5/introducing-lumps-to-your-baby.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 6
    
    .state('app.food-alergy-or-food-intolerance', {
                url: '/weaning-guide/food-alergy-or-food-intolerance',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week6/food-alergy-or-food-intolerance.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.introducing-meat-into-your-babys-diet', {
                url: '/weaning-guide/introducing-meat-into-your-babys-diet',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week6/introducing-meat-into-your-babys-diet.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.is-it-safe-to-heat-baby-food-in-a-microwave', {
                url: '/weaning-guide/is-it-safe-to-heat-baby-food-in-a-microwave',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week6/is-it-safe-to-heat-baby-food-in-a-microwave.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 7
    
    .state('app.5-common-weaning-problems-sorted', {
                url: '/weaning-guide/5-common-weaning-problems-sorted',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week7/5-common-weaning-problems-sorted.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.introducing-fish-to-your-baby', {
                url: '/weaning-guide/introducing-fish-to-your-baby',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week7/introducing-fish-to-your-baby.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.safe-foods-to-introduce-at-7-9-months', {
                url: '/weaning-guide/safe-foods-to-introduce-at-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week7/safe-foods-to-introduce-at-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
     //    WEEK 8
    
    .state('app.health-snacks-for-your-baby-at-7-9-months', {
                url: '/weaning-guide/health-snacks-for-your-baby-at-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week8/health-snacks-for-your-baby-at-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.the-best-energy-foods-for-baby-nutrition', {
                url: '/weaning-guide/the-best-energy-foods-for-baby-nutrition',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week8/the-best-energy-foods-for-baby-nutrition.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.vitimin-c-and-baby-nutrition', {
                url: '/weaning-guide/vitimin-c-and-baby-nutrition',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week8/vitimin-c-and-baby-nutrition.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    
     //    WEEK 9
    
    .state('app.at-what-times-should-your-baby-be-eating-at-7-9-months', {
                url: '/weaning-guide/at-what-times-should-your-baby-be-eating-at-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week9/at-what-times-should-your-baby-be-eating-at-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.baby-nutrition-in-the-first-year', {
                url: '/weaning-guide/baby-nutrition-in-the-first-year',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week9/baby-nutrition-in-the-first-year.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.guide-to-drinks-for-your-baby-at-7-9 months', {
                url: '/weaning-guide/guide-to-drinks-for-your-baby-at-7-9 months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week9/guide-to-drinks-for-your-baby-at-7-9 months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 10
    
    .state('app.how-to-cope-with-a-fussy-baby-at-7-9-months', {
                url: '/weaning-guide/how-to-cope-with-a-fussy-baby-at-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week10/how-to-cope-with-a-fussy-baby-at-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.new-tastes-for-babies-at-7-9-months', {
                url: '/weaning-guide/new-tastes-for-babies-at-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week10/new-tastes-for-babies-at-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.spotting-the-symptoms-of-a-food-alergy', {
                url: '/weaning-guide/spotting-the-symptoms-of-a-food-alergy',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week10/spotting-the-symptoms-of-a-food-alergy.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 11
    
    .state('app.foods-to-avoid-at-7-9-months', {
                url: '/weaning-guide/foods-to-avoid-at-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week11/foods-to-avoid-at-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-to-cope-with-gagging', {
                url: '/weaning-guide/how-to-cope-with-gagging',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week11/how-to-cope-with-gagging.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.weaning-a-vegetarian-baby', {
                url: '/weaning-guide/weaning-a-vegetarian-baby',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week11/weaning-a-vegetarian-baby.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 12
    
    .state('app.are-vitimin-suplements-important-for-baby-nutrition', {
                url: '/weaning-guide/are-vitimin-suplements-important-for-baby-nutrition',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week12/are-vitimin-suplements-important-for-baby-nutrition.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.can-i-puree-all-our-family-meals-for-our-8-month-baby', {
                url: '/weaning-guide/can-i-puree-all-our-family-meals-for-our-8-month-baby',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week12/can-i-puree-all-our-family-meals-for-our-8-month-baby.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.feeding-a-child-with-a-diary-allergy', {
                url: '/weaning-guide/feeding-a-child-with-a-diary-allergy',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week12/feeding-a-child-with-a-diary-allergy.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 13
    
    .state('app.how-to-cope-with-a-messy-eater', {
                url: '/weaning-guide/how-to-cope-with-a-messy-eater',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week13/how-to-cope-with-a-messy-eater.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.nut-alergies-the-facts-you-need-to-know', {
                url: '/weaning-guide/nut-alergies-the-facts-you-need-to-know',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week13/nut-alergies-the-facts-you-need-to-know.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.what-to-sterilise-and-when', {
                url: '/weaning-guide/what-to-sterilise-and-when',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week13/what-to-sterilise-and-when.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 14
    
    .state('app.feeding-a-child-with-a-nut-allergy', {
                url: '/weaning-guide/feeding-a-child-with-a-nut-allergy',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week14/feeding-a-child-with-a-nut-allergy.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-to-cope-when-your-baby-refuses-lumps', {
                url: '/weaning-guide/how-to-cope-when-your-baby-refuses-lumps',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week14/how-to-cope-when-your-baby-refuses-lumps.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.milk-why-its-important-in-your-babies-diet', {
                url: '/weaning-guide/milk-why-its-important-in-your-babies-diet',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week14/milk-why-its-important-in-your-babies-diet.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 15
    
    .state('app.how-much-salt-is-too-much', {
                url: '/weaning-guide/how-much-salt-is-too-much',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week15/how-much-salt-is-too-much.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.safe-storage-times-for-frozen-food', {
                url: '/weaning-guide/safe-storage-times-for-frozen-food',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week15/safe-storage-times-for-frozen-food.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.why-honey-is-dangerous-for-your-baby', {
                url: '/weaning-guide/why-honey-is-dangerous-for-your-baby',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week15/why-honey-is-dangerous-for-your-baby.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
     //    WEEK 16
    
    .state('app.encouraging-self-feeding-at-7-9-months', {
                url: '/weaning-guide/encouraging-self-feeding-at-7-9-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week16/encouraging-self-feeding-at-7-9-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-can-i-get-my-child-to-eat-brown-bread', {
                url: '/weaning-guide/how-can-i-get-my-child-to-eat-brown-bread',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week16/how-can-i-get-my-child-to-eat-brown-bread.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.iron-how-to-make-sure-your-child-eats-enough', {
                url: '/weaning-guide/iron-how-to-make-sure-your-child-eats-enough',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week16/iron-how-to-make-sure-your-child-eats-enough.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 17
    
    .state('app.safe-ways-to-give-your-baby-fruit', {
                url: '/weaning-guide/safe-ways-to-give-your-baby-fruit',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week17/safe-ways-to-give-your-baby-fruit.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.when-and-how-to-stop-pureeing', {
                url: '/weaning-guide/when-and-how-to-stop-pureeing',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week17/when-and-how-to-stop-pureeing.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.when-your-baby-refuses-to-eat-vegetables', {
                url: '/weaning-guide/when-your-baby-refuses-to-eat-vegetables',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week17/when-your-baby-refuses-to-eat-vegetables.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
     //    WEEK 18
    
    .state('app.feeding-a-child-with-asthma', {
                url: '/weaning-guide/feeding-a-child-with-asthma',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week18/feeding-a-child-with-asthma.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.introducing-three-meals-a-day', {
                url: '/weaning-guide/introducing-three-meals-a-day',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week18/introducing-three-meals-a-day.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.moving-from-mashed-to-chopped-food', {
                url: '/weaning-guide/moving-from-mashed-to-chopped-food',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week18/moving-from-mashed-to-chopped-food.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
     //    WEEK 19
    
    .state('app.how-to-help-your-baby-learn-to-chew', {
                url: '/weaning-guide/how-to-help-your-baby-learn-to-chew',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week19/how-to-help-your-baby-learn-to-chew.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-to-make-your-kitchen-a-germ-free-zone', {
                url: '/weaning-guide/how-to-make-your-kitchen-a-germ-free-zone',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week19/how-to-make-your-kitchen-a-germ-free-zone.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.when-your-baby-wont-drink-milk', {
                url: '/weaning-guide/when-your-baby-wont-drink-milk',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week19/when-your-baby-wont-drink-milk.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    
     //    WEEK 20
    
    .state('app.feeding-a-child-with-eczema', {
                url: '/weaning-guide/feeding-a-child-with-eczema',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week20/feeding-a-child-with-eczema.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-can-i-get-my-child-to-eat-more-meat-and-fish', {
                url: '/weaning-guide/how-can-i-get-my-child-to-eat-more-meat-and-fish',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week20/how-can-i-get-my-child-to-eat-more-meat-and-fish.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.new-tastes-for-your-10-12-month-old-baby', {
                url: '/weaning-guide/new-tastes-for-your-10-12-month-old-baby',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week20/new-tastes-for-your-10-12-month-old-baby.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 21
    
    .state('app.encouraging-self-feeding-at-10-12-months', {
                url: '/weaning-guide/encouraging-self-feeding-at-10-12-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week21/encouraging-self-feeding-at-10-12-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.guides-for-drinks-for-your-baby-at-10-12-months', {
                url: '/weaning-guide/guides-for-drinks-for-your-baby-at-10-12-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week21/guides-for-drinks-for-your-baby-at-10-12-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.safe-foods-to-give-your-baby-at-10-12-months', {
                url: '/weaning-guide/safe-foods-to-give-your-baby-at-10-12-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week21/safe-foods-to-give-your-baby-at-10-12-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 22
    
    .state('app.can-i-use-pudding-as-an-incentive-for-finishing-main-meals', {
                url: '/weaning-guide/can-i-use-pudding-as-an-incentive-for-finishing-main-meals',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week22/can-i-use-pudding-as-an-incentive-for-finishing-main-meals.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.dropping-milk-feeds-at-10-12-months', {
                url: '/weaning-guide/dropping-milk-feeds-at-10-12-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week22/dropping-milk-feeds-at-10-12-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-to-get-your-child-to-eat-more-vegetables', {
                url: '/weaning-guide/how-to-get-your-child-to-eat-more-vegetables',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week22/how-to-get-your-child-to-eat-more-vegetables.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 23
    
    .state('app.feeding-your-baby-when-out-and-about', {
                url: '/weaning-guide/feeding-your-baby-when-out-and-about',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week23/feeding-your-baby-when-out-and-about.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.five-books-for-fussy-eaters', {
                url: '/weaning-guide/five-books-for-fussy-eaters',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week23/five-books-for-fussy-eaters.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.foods-to-avoid-at-10-12-months', {
                url: '/weaning-guide/foods-to-avoid-at-10-12-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week23/foods-to-avoid-at-10-12-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 24
    
    .state('app.healthy-snacks-for-your-baby-at-10-12-months', {
                url: '/weaning-guide/healthy-snacks-for-your-baby-at-10-12-months',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week24/healthy-snacks-for-your-baby-at-10-12-months.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.keeping-your-child-safe-in-the-kitchen', {
                url: '/weaning-guide/keeping-your-child-safe-in-the-kitchen',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week24/keeping-your-child-safe-in-the-kitchen.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.when-your-baby-wont-eat-meat', {
                url: '/weaning-guide/when-your-baby-wont-eat-meat',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week24/when-your-baby-wont-eat-meat.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    //    WEEK 25
    
    .state('app.E-numbers-the-facts-your-need-to-know', {
                url: '/weaning-guide/E-numbers-the-facts-your-need-to-know',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week25/E-numbers-the-facts-your-need-to-know.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.keep-the-stress-out-of-messy-eating', {
                url: '/weaning-guide/keep-the-stress-out-of-messy-eating',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week25/keep-the-stress-out-of-messy-eating.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.when-your-baby-dislikes-water', {
                url: '/weaning-guide/when-your-baby-dislikes-water',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week25/when-your-baby-dislikes-water.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    
     //    WEEK 26
    
    .state('app.how-to-move-from-fingers-to-forks', {
                url: '/weaning-guide/how-to-move-from-fingers-to-forks',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week26/how-to-move-from-fingers-to-forks.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.how-to-read-small-print-on-labels', {
                url: '/weaning-guide/how-to-read-small-print-on-labels',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week26/how-to-read-small-print-on-labels.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    
    .state('app.when-to-introduce-cows-milk', {
                url: '/weaning-guide/when-to-introduce-cows-milk',
                views: {
                    'menuContent': {
                        templateUrl: 'view-weaning-guide/meal-planner-guides/week26/when-to-introduce-cows-milk.html',
                        controller : 'WeaningGuideArticleController'
                    }
                }
            })
    

})


.controller('WeaningGuideController', ['$scope', '$http', '$state', '$ionicPopup', function ($scope, $http, $state, $ionicPopup) {
    
    $scope.$on('$ionicView.enter', function(e) {
        
        if(typeof window.analytics !== undefined)
        {
            window.analytics.trackView('Weaning Guide');
        }

    });
    
    $scope.openAllGuides = function()
    {
        viewingGuides = true;
        $state.go('app.all-guide-weeks');
    }

    $scope.openGuideLink = function(url)
    {
        var u = 'app.'+url;
        $state.go(u);
    }

    $scope.babyName = userBabyName;
    $scope.adEnvironment = env;

}])

.controller('WeaningGuideArticleController', ['$scope', '$state', '$location', function ($scope, $state,$location) {

    $scope.$on('$ionicView.enter', function(e) {
        
        var u = $location.path();
        //            console.log('path:');
        //            console.log(u);
        
        if(window.analytics !== undefined)
        {
            window.analytics.trackView('Article');
            window.analytics.trackEvent('View', 'Article', u);
        }

    });
    
    $scope.babyName = userBabyName;
    $scope.adEnvironment = env;

}])