'use strict';

angular.module('smaApp.view-faqs', [])

.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state('app.faqs', {
            url: '/faqs',
            views: {
                'menuContent': {
                    templateUrl: 'view-faqs/view-faqs.html',
                    controller: 'FaqsController'
                }
            }
        })
    
})



.controller('FaqsController', ['$scope', '$http', '$state', '$ionicPopup', function ($scope, $http, $state, $ionicPopup) {
    
    $scope.$on('$ionicView.enter', function(e) {
        
        if(typeof window.analytics !== undefined)
        {
            window.analytics.trackView('FAQs');
        }

    });
    
}])


