'use strict';

angular.module('smaApp.view-feedback', [])

.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state('app.feedback', {
            url: '/feedback',
            views: {
                'menuContent': {
                    templateUrl: 'view-feedback/view-feedback.html',
                    controller: 'FeedbackController'
                }
            }
        })
    
})



.controller('FeedbackController', ['$scope', '$http', '$state', '$ionicPopup', function ($scope, $http, $state, $ionicPopup) {
    
    $scope.$on('$ionicView.enter', function(e) {
        
        if(typeof window.analytics !== undefined)
        {
            window.analytics.trackView('Feedback');
        }

    });
    
}])


